Last Comment Bug 546936 - Adapt Help for changes from Bug 536374 - Places history changes due to async expiration
: Adapt Help for changes from Bug 536374 - Places history changes due to async...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: 536374
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-18 06:40 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2010-04-22 06:32 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
adapt help for history prefs (2.46 KB, patch)
2010-04-08 14:59 PDT, Robert Kaiser (not working on stability any more)
no flags Details | Diff | Review
adapt help for history prefs a bit more (3.68 KB, patch)
2010-04-08 15:25 PDT, Robert Kaiser (not working on stability any more)
iann_bugzilla: review+
Details | Diff | Review

Description Jens Hatlak (:InvisibleSmiley) 2010-02-18 06:40:42 PST
From Bug 536374 comment 22:
"Also I suggest adding a relnote explaining people that the old prefs allowed for making some false assumptions (e.g. only the minimum number of days to keep history could be set effectively since the upper bound really was determined by the maximum number of pages to keep). Cf. MaK's blog post:
<http://blog.bonardo.net/2010/01/20/places-got-async-expiration>"
Comment 1 Robert Kaiser (not working on stability any more) 2010-02-18 06:57:36 PST
Argh, sorry about forgetting the help changes, I knew there was something I had this marked TODO for...
Comment 2 Jens Hatlak (:InvisibleSmiley) 2010-02-18 07:13:02 PST
(In reply to comment #1)
> Argh, sorry about forgetting the help changes, I knew there was something I had
> this marked TODO for...

You may still want to set the Target Milestone (I refrained from doing it myself since you're the assignee).
Comment 3 Robert Kaiser (not working on stability any more) 2010-04-08 14:59:50 PDT
Created attachment 437959 [details] [diff] [review]
adapt help for history prefs

So this one is easy :)
Comment 4 Robert Kaiser (not working on stability any more) 2010-04-08 15:25:34 PDT
Created attachment 437968 [details] [diff] [review]
adapt help for history prefs a bit more

Oops, I found one more stance that becomes obsolete with this.
Comment 5 Ian Neal 2010-04-11 13:38:45 PDT
Comment on attachment 437968 [details] [diff] [review]
adapt help for history prefs a bit more

>+++ b/suite/locales/en-US/chrome/common/help/cs_nav_prefs_navigator.xhtml
>@@ -144,35 +144,20 @@
>+      <li><strong>Remember visited pages</strong>: Select this to make
>+        &brandShortName; remember pages you visit in the browsing history.
"within" instead of "in" perhaps?
 You
>+        need that for example to be able to search for pages you have already
>+        visited from the location bar or history window.</li>
Use "For example, you need this to be able to..."

>diff --git a/suite/locales/en-US/chrome/common/help/nav_help.xhtml b/suite/locales/en-US/chrome/common/help/nav_help.xhtml
>--- a/suite/locales/en-US/chrome/common/help/nav_help.xhtml
>+++ b/suite/locales/en-US/chrome/common/help/nav_help.xhtml
>@@ -218,20 +218,16 @@
>     <span class="mac">&brandShortName;</span><span class="noMac">Edit</span>
>     menu and choose Preferences.</li>
>   <li>Under the Browser category, click History. (If no subcategories are
>     visible, double-click Browser to expand the list.)</li>
>   <li>Click Clear History and Clear Location Bar to remove all previously
>     visited web pages from the lists.</li>
> </ol>
> 
>-<p><strong>Tip</strong>: Use the preferences under <a
>-  href="cs_nav_prefs_navigator.xhtml#history">Browsing History</a> to set
>-  how long and how many pages will remain in the history list.</p>
>-
Rather than deleting should the tip just be changed to:
"Use the preference under Browsing History to set if the history of visited pages is remembered."

r- for the moment.
Comment 6 Robert Kaiser (not working on stability any more) 2010-04-13 06:07:04 PDT
(In reply to comment #5)
> Rather than deleting should the tip just be changed to:
> "Use the preference under Browsing History to set if the history of visited
> pages is remembered."

Actually, that "tip" doesn't sound really helpful to me. It's only and on/off switch now anyhow, and this is in "About History Lists" - do people reading that really want to know how to turn off having content in one of those lists at all?
Comment 7 Ian Neal 2010-04-19 12:20:42 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > Rather than deleting should the tip just be changed to:
> > "Use the preference under Browsing History to set if the history of visited
> > pages is remembered."
> 
> Actually, that "tip" doesn't sound really helpful to me. It's only and on/off
> switch now anyhow, and this is in "About History Lists" - do people reading
> that really want to know how to turn off having content in one of those lists
> at all?

okay, so leave the deletion of the tip in then.
Comment 8 Ian Neal 2010-04-19 12:21:07 PDT
Comment on attachment 437968 [details] [diff] [review]
adapt help for history prefs a bit more

r=me with those first 2 changes.
Comment 9 Robert Kaiser (not working on stability any more) 2010-04-22 06:32:35 PDT
Pushed as http://hg.mozilla.org/comm-central/rev/6d1782409f38

Note You need to log in before you can comment on or make changes to this bug.